
From: "Randy.Dunlap" <rddunlap@osdl.org>, Domen Puncer <domen@coderock.org>

Release (in fact all) functions shouldn't be __init or __exit, if they
are called from __init and __exit functions.



 25-akpm/drivers/ide/legacy/ali14xx.c |    2 +-
 25-akpm/drivers/ide/legacy/dtc2278.c |    2 +-
 25-akpm/drivers/ide/legacy/pdc4030.c |    6 +-----
 25-akpm/drivers/ide/legacy/umc8672.c |    2 +-
 4 files changed, 4 insertions(+), 8 deletions(-)

diff -puN drivers/ide/legacy/ali14xx.c~init-exit-cleanups drivers/ide/legacy/ali14xx.c
--- 25/drivers/ide/legacy/ali14xx.c~init-exit-cleanups	Thu Sep  4 11:26:23 2003
+++ 25-akpm/drivers/ide/legacy/ali14xx.c	Thu Sep  4 11:26:23 2003
@@ -227,7 +227,7 @@ int __init probe_ali14xx (void)
 	return 0;
 }
 
-void __init ali14xx_release (void)
+static void ali14xx_release (void)
 {
 	if (ide_hwifs[0].chipset != ide_ali14xx &&
 	    ide_hwifs[1].chipset != ide_ali14xx)
diff -puN drivers/ide/legacy/dtc2278.c~init-exit-cleanups drivers/ide/legacy/dtc2278.c
--- 25/drivers/ide/legacy/dtc2278.c~init-exit-cleanups	Thu Sep  4 11:26:23 2003
+++ 25-akpm/drivers/ide/legacy/dtc2278.c	Thu Sep  4 11:26:23 2003
@@ -134,7 +134,7 @@ void __init probe_dtc2278 (void)
 	probe_hwif_init(&ide_hwifs[1]);
 }
 
-void __init dtc2278_release (void)
+static void dtc2278_release (void)
 {
 	if (ide_hwifs[0].chipset != ide_dtc2278 &&
 	    ide_hwifs[1].chipset != ide_dtc2278)
diff -puN drivers/ide/legacy/pdc4030.c~init-exit-cleanups drivers/ide/legacy/pdc4030.c
--- 25/drivers/ide/legacy/pdc4030.c~init-exit-cleanups	Thu Sep  4 11:26:23 2003
+++ 25-akpm/drivers/ide/legacy/pdc4030.c	Thu Sep  4 11:26:23 2003
@@ -297,11 +297,7 @@ int __init detect_pdc4030(ide_hwif_t *hw
 }
 
 
-#ifndef MODULE
-void __init ide_probe_for_pdc4030(void)
-#else
-int ide_probe_for_pdc4030(void)
-#endif
+static int __init ide_probe_for_pdc4030(void)
 {
 	unsigned int	index;
 	ide_hwif_t	*hwif;
diff -puN drivers/ide/legacy/umc8672.c~init-exit-cleanups drivers/ide/legacy/umc8672.c
--- 25/drivers/ide/legacy/umc8672.c~init-exit-cleanups	Thu Sep  4 11:26:23 2003
+++ 25-akpm/drivers/ide/legacy/umc8672.c	Thu Sep  4 11:26:23 2003
@@ -160,7 +160,7 @@ int __init probe_umc8672 (void)
 	return 0;
 }
 
-void __init umc8672_release (void)
+static void umc8672_release (void)
 {
 	unsigned long flags;
 

_
